Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1389712 (CVE-2016-9106) - CVE-2016-9106 Qemu: 9pfs: memory leakage in v9fs_write
Summary: CVE-2016-9106 Qemu: 9pfs: memory leakage in v9fs_write
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-9106
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1389713 1389714
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-28 09:50 UTC by Prasad Pandit
Modified: 2021-02-17 03:05 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:01:39 UTC
Embargoed:


Attachments (Terms of Use)

Description Prasad Pandit 2016-10-28 09:50:41 UTC
Quick Emulator(Qemu) built with the VirtFS, host directory sharing via Plan 9
File System(9pfs) support, is vulnerable to a memory leakage issue. It
could occur when calling v9fs_write call.

A privileged user inside guest could use this flaw to leak the host memory
bytes resulting in DoS for other services.

Upstream patches:
-----------------
  https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg02623.html

Reference:
----------
  -> http://wiki.qemu.org/Documentation/9psetup

Comment 1 Prasad Pandit 2016-10-28 09:51:12 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad Pandit 2016-10-28 09:52:42 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1389714]

Comment 3 Prasad Pandit 2016-10-28 09:53:05 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1389713]

Comment 4 Andrej Nemec 2016-10-31 14:49:58 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q4/282

Comment 5 Cole Robinson 2017-01-16 18:32:11 UTC
commit fdfcc9aeea1492f4b819a24c94dfb678145b1bf9
Author: Li Qiang <liqiang6-s>
Date:   Mon Oct 17 14:13:58 2016 +0200

    9pfs: fix memory leak in v9fs_write


Note You need to log in before you can comment on or make changes to this bug.